Package com.databricks.jdbc.api.impl.converters

## Class TimestampConverter

- java.lang.Object
- - com.databricks.jdbc.api.impl.converters.AbstractObjectConverter
  - - com.databricks.jdbc.api.impl.converters.TimestampConverter

    public class TimestampConverter
    extends AbstractObjectConverter

### Constructor Summary

Constructors
`TimestampConverter​(Object object)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BigInteger` `convertToBigInteger()`
`Date` `convertToDate()`
`long` `convertToLong()`
`String` `convertToString()`
`Timestamp` `convertToTimestamp()`

### Methods inherited from class com.databricks.jdbc.api.impl.converters.AbstractObjectConverter

`convertToAsciiStream, convertToBigDecimal, convertToBinaryStream, convertToBoolean, convertToByte, convertToByteArray, convertToChar, convertToCharacterStream, convertToDouble, convertToFloat, convertToInt, convertToLocalDate, convertToShort, convertToTimestamp, convertToUnicodeStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimestampConverter

    public TimestampConverter​(Object object)
                       throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

### Method Detail

#### convertToLong

    public long convertToLong()
                       throws DatabricksSQLException

Overrides:
  `convertToLong` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToBigInteger

    public BigInteger convertToBigInteger()
                                   throws DatabricksSQLException

Overrides:
  `convertToBigInteger` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToString

    public String convertToString()
                           throws DatabricksSQLException

Overrides:
  `convertToString` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToTimestamp

    public Timestamp convertToTimestamp()
                                 throws DatabricksSQLException

Overrides:
  `convertToTimestamp` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToDate

    public Date convertToDate()
                       throws DatabricksSQLException

Overrides:
  `convertToDate` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`